Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.opengl.util.glsl.fixedfunc.impl
Class FixedFuncPipeline

    java.lang.Object
      com.sun.opengl.util.glsl.fixedfunc.impl.FixedFuncPipeline

    public class FixedFuncPipeline

extends Object

Field Summary
`protected int` | `activeTextureUnit`
`protected int` | `cullFace`
`protected static boolean` | `DEBUG`
`static FloatBuffer` | `defAmbient`
`static float` | `defConstantAtten`
`static FloatBuffer` | `defDiffuse`
`static float` | `defLinearAtten`
`static FloatBuffer` | `defMatAmbient`
`static FloatBuffer` | `defMatDiffuse`
`static FloatBuffer` | `defMatEmission`
`static float` | `defMatShininess`
`static FloatBuffer` | `defMatSpecular`
`static FloatBuffer` | `defPosition`
`static float` | `defQuadraticAtten`
`static FloatBuffer` | `defSpecular`
`static float` | `defSpotCutoff`
`static FloatBuffer` | `defSpotDir`
`static float` | `defSpotExponent`
`protected static String` | `fragmentColorFileDef`
`protected static String` | `fragmentColorTextureFileDef`
`protected boolean` | `lightingEnabled`
`protected IntBuffer` | `lightsEnabled`
`protected boolean` | `lightsEnabledDirty`
`static int` | `MAX_LIGHTS`
`static int` | `MAX_TEXTURE_UNITS`
`protected static String` | `mgl_ActiveTexture`
`protected static String` | `mgl_ActiveTextureIdx`
`static String` | `mgl_Color`
`protected static String` | `mgl_ColorEnabled`
`protected static String` | `mgl_ColorStatic`
`protected static String` | `mgl_CullFace`
`protected static String` | `mgl_FrontMaterial`
`protected static String` | `mgl_LightsEnabled`
`protected static String` | `mgl_LightSource`
`static String` | `mgl_MultiTexCoord`
`static String` | `mgl_Normal`
`protected static String` | `mgl_NormalMatrix`
`protected static String` | `mgl_PMVMatrix`
`protected static String` | `mgl_ShadeModel`
`protected static String` | `mgl_TexCoordEnabled`
`static String` | `mgl_Vertex`
`protected PMVMatrix` | `pmvMatrix`
`protected static String` | `shaderBinRootDef`
`protected ShaderProgram` | `shaderProgramColor`
`protected ShaderProgram` | `shaderProgramColorLight`
`protected ShaderProgram` | `shaderProgramColorTexture`
`protected ShaderProgram` | `shaderProgramColorTextureLight`
`protected static String` | `shaderSrcRootDef`
`protected ShaderState` | `shaderState`
`protected IntBuffer` | `textureCoordsEnabled`
`protected boolean` | `textureCoordsEnabledDirty`
`protected boolean` | `textureEnabled`
`protected boolean` | `verbose`
`protected static String` | `vertexColorFileDef`
`protected static String` | `vertexColorLightFileDef`
`protected static FloatBuffer` | `zero4f`

Constructor Summary
`FixedFuncPipeline(GL2ES2 gl, PMVMatrix pmvMatrix)`
`FixedFuncPipeline(GL2ES2 gl, PMVMatrix pmvMatrix, Class shaderRootClass, String shaderSrcRoot, String shaderBinRoot, String vertexColorFile, String vertexColorLightFile, String fragmentColorFile, String fragmentColorTextureFile)`

Method Summary
`void` | `destroy(GL2ES2 gl)`
`int` | `getActiveTextureUnit()`
`String` | `getArrayIndexName(int glArrayIndex)`
`static String` | `getPredefinedArrayIndexName(int glArrayIndex)`
`ShaderState` | `getShaderState()`
`void` | `glActiveTexture(GL2ES2 gl, int textureUnit)`
`void` | `glColor4fv(GL2ES2 gl, FloatBuffer data)`
`void` | `glColorPointer(GL2ES2 gl, GLArrayData data)`
`void` | `glCullFace(GL2ES2 gl, int faceName)`
`void` | `glDisableClientState(GL2ES2 gl, int glArrayIndex)`
`boolean` | `glEnable(GL2ES2 gl, int cap, boolean enable)`
`void` | `glEnableClientState(GL2ES2 gl, int glArrayIndex)`
`void` | `glLightfv(GL2ES2 gl, int light, int pname, FloatBuffer params)`
`void` | `glMaterialfv(GL2ES2 gl, int face, int pname, FloatBuffer params)`
`void` | `glNormalPointer(GL2ES2 gl, GLArrayData data)`
`void` | `glShadeModel(GL2ES2 gl, int mode)`
`void` | `glTexCoordPointer(GL2ES2 gl, GLArrayData data)`
`void` | `glVertexPointer(GL2ES2 gl, GLArrayData data)`
`protected void` | `init(GL2ES2 gl, PMVMatrix pmvMatrix, Class shaderRootClass, String shaderSrcRoot, String shaderBinRoot, String vertexColorFile, String vertexColorLightFile, String fragmentColorFile, String fragmentColorTextureFile)`
`boolean` | `isValid()`
`void` | `setVerbose(boolean v)`
`String` | `toString()`
`void` | `validate(GL2ES2 gl)`
`boolean` | `verbose()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MAX_TEXTURE_UNITS

    public static final int MAX_TEXTURE_UNITS

See Also:
  Constant Field Values

### MAX_LIGHTS

    public static final int MAX_LIGHTS

See Also:
  Constant Field Values

### mgl_Vertex

    public static final String mgl_Vertex

See Also:
  Constant Field Values

### mgl_Normal

    public static final String mgl_Normal

See Also:
  Constant Field Values

### mgl_Color

    public static final String mgl_Color

See Also:
  Constant Field Values

### mgl_MultiTexCoord

    public static final String mgl_MultiTexCoord

See Also:
  Constant Field Values

### DEBUG

    protected static final boolean DEBUG

See Also:
  Constant Field Values

### verbose

    protected boolean verbose

### textureEnabled

    protected boolean textureEnabled

### textureCoordsEnabled

    protected IntBuffer textureCoordsEnabled

### textureCoordsEnabledDirty

    protected boolean textureCoordsEnabledDirty

### activeTextureUnit

    protected int activeTextureUnit

### cullFace

    protected int cullFace

### lightingEnabled

    protected boolean lightingEnabled

### lightsEnabled

    protected IntBuffer lightsEnabled

### lightsEnabledDirty

    protected boolean lightsEnabledDirty

### pmvMatrix

    protected PMVMatrix pmvMatrix

### shaderState

    protected ShaderState shaderState

### shaderProgramColor

    protected ShaderProgram shaderProgramColor

### shaderProgramColorTexture

    protected ShaderProgram shaderProgramColorTexture

### shaderProgramColorLight

    protected ShaderProgram shaderProgramColorLight

### shaderProgramColorTextureLight

    protected ShaderProgram shaderProgramColorTextureLight

### mgl_PMVMatrix

    protected static final String mgl_PMVMatrix

See Also:
  Constant Field Values

### mgl_NormalMatrix

    protected static final String mgl_NormalMatrix

See Also:
  Constant Field Values

### mgl_ColorEnabled

    protected static final String mgl_ColorEnabled

See Also:
  Constant Field Values

### mgl_ColorStatic

    protected static final String mgl_ColorStatic

See Also:
  Constant Field Values

### mgl_LightSource

    protected static final String mgl_LightSource

See Also:
  Constant Field Values

### mgl_FrontMaterial

    protected static final String mgl_FrontMaterial

See Also:
  Constant Field Values

### mgl_LightsEnabled

    protected static final String mgl_LightsEnabled

See Also:
  Constant Field Values

### mgl_ShadeModel

    protected static final String mgl_ShadeModel

See Also:
  Constant Field Values

### mgl_TexCoordEnabled

    protected static final String mgl_TexCoordEnabled

See Also:
  Constant Field Values

### mgl_ActiveTexture

    protected static final String mgl_ActiveTexture

See Also:
  Constant Field Values

### mgl_ActiveTextureIdx

    protected static final String mgl_ActiveTextureIdx

See Also:
  Constant Field Values

### mgl_CullFace

    protected static final String mgl_CullFace

See Also:
  Constant Field Values

### zero4f

    protected static final FloatBuffer zero4f

### defAmbient

    public static final FloatBuffer defAmbient

### defDiffuse

    public static final FloatBuffer defDiffuse

### defSpecular

    public static final FloatBuffer defSpecular

### defPosition

    public static final FloatBuffer defPosition

### defSpotDir

    public static final FloatBuffer defSpotDir

### defSpotExponent

    public static final float defSpotExponent

See Also:
  Constant Field Values

### defSpotCutoff

    public static final float defSpotCutoff

See Also:
  Constant Field Values

### defConstantAtten

    public static final float defConstantAtten

See Also:
  Constant Field Values

### defLinearAtten

    public static final float defLinearAtten

See Also:
  Constant Field Values

### defQuadraticAtten

    public static final float defQuadraticAtten

See Also:
  Constant Field Values

### defMatAmbient

    public static final FloatBuffer defMatAmbient

### defMatDiffuse

    public static final FloatBuffer defMatDiffuse

### defMatSpecular

    public static final FloatBuffer defMatSpecular

### defMatEmission

    public static final FloatBuffer defMatEmission

### defMatShininess

    public static final float defMatShininess

See Also:
  Constant Field Values

### vertexColorFileDef

    protected static final String vertexColorFileDef

See Also:
  Constant Field Values

### vertexColorLightFileDef

    protected static final String vertexColorLightFileDef

See Also:
  Constant Field Values

### fragmentColorFileDef

    protected static final String fragmentColorFileDef

See Also:
  Constant Field Values

### fragmentColorTextureFileDef

    protected static final String fragmentColorTextureFileDef

See Also:
  Constant Field Values

### shaderSrcRootDef

    protected static final String shaderSrcRootDef

See Also:
  Constant Field Values

### shaderBinRootDef

    protected static final String shaderBinRootDef

See Also:
  Constant Field Values

Constructor Detail

### FixedFuncPipeline

    public FixedFuncPipeline(GL2ES2 gl,
                             PMVMatrix pmvMatrix)

### FixedFuncPipeline

    public FixedFuncPipeline(GL2ES2 gl,
                             PMVMatrix pmvMatrix,
                             Class shaderRootClass,
                             String shaderSrcRoot,
                             String shaderBinRoot,
                             String vertexColorFile,
                             String vertexColorLightFile,
                             String fragmentColorFile,
                             String fragmentColorTextureFile)

Method Detail

### getPredefinedArrayIndexName

    public static String getPredefinedArrayIndexName(int glArrayIndex)

### verbose

    public boolean verbose()

### setVerbose

    public void setVerbose(boolean v)

### isValid

    public boolean isValid()

### getShaderState

    public ShaderState getShaderState()

### getActiveTextureUnit

    public int getActiveTextureUnit()

### getArrayIndexName

    public String getArrayIndexName(int glArrayIndex)

### destroy

    public void destroy(GL2ES2 gl)

### glEnableClientState

    public void glEnableClientState(GL2ES2 gl,
                                    int glArrayIndex)

### glDisableClientState

    public void glDisableClientState(GL2ES2 gl,
                                     int glArrayIndex)

### glVertexPointer

    public void glVertexPointer(GL2ES2 gl,
                                GLArrayData data)

### glColorPointer

    public void glColorPointer(GL2ES2 gl,
                               GLArrayData data)

### glColor4fv

    public void glColor4fv(GL2ES2 gl,
                           FloatBuffer data)

### glNormalPointer

    public void glNormalPointer(GL2ES2 gl,
                                GLArrayData data)

### glTexCoordPointer

    public void glTexCoordPointer(GL2ES2 gl,
                                  GLArrayData data)

### glLightfv

    public void glLightfv(GL2ES2 gl,
                          int light,
                          int pname,
                          FloatBuffer params)

### glMaterialfv

    public void glMaterialfv(GL2ES2 gl,
                             int face,
                             int pname,
                             FloatBuffer params)

### glShadeModel

    public void glShadeModel(GL2ES2 gl,
                             int mode)

### glActiveTexture

    public void glActiveTexture(GL2ES2 gl,
                                int textureUnit)

### glEnable

    public boolean glEnable(GL2ES2 gl,
                            int cap,
                            boolean enable)

  Returns:
    false if digested in regard to GL2ES2 spec, eg this call must not be passed to an underlying ES2 implementation. true if this call shall be passed to an underlying GL2ES2/ES2 implementation as well.

### glCullFace

    public void glCullFace(GL2ES2 gl,
                           int faceName)

### validate

    public void validate(GL2ES2 gl)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### init

    protected void init(GL2ES2 gl,
                        PMVMatrix pmvMatrix,
                        Class shaderRootClass,
                        String shaderSrcRoot,
                        String shaderBinRoot,
                        String vertexColorFile,
                        String vertexColorLightFile,
                        String fragmentColorFile,
                        String fragmentColorTextureFile)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.